Bug 1644761 - CVE-2018-14652 glusterfs: Buffer overflow in "features/locks" translator allows for denial of service [fedora-all]
Summary: CVE-2018-14652 glusterfs: Buffer overflow in "features/locks" translator allo...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: locks
Version: mainline
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On: 1644579
Blocks: CVE-2018-14652 1645363 1645373
TreeView+ depends on / blocked
 
Reported: 2018-10-31 14:41 UTC by Amar Tumballi
Modified: 2019-05-11 00:26 UTC (History)
13 users (show)

(edit)
Clone Of: 1644579
: 1645363 1645373 (view as bug list)
(edit)
Last Closed: 2019-05-11 00:26:59 UTC


Attachments (Terms of Use)

Description Amar Tumballi 2018-10-31 14:41:04 UTC
+++ This bug was initially created as a clone of Bug #1644579 +++


This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

--- Additional comment from Siddharth Sharma on 2018-10-31 04:12:01 EDT ---

Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1632974,1644579

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 1 Ravishankar N 2018-11-02 01:27:58 UTC
Hi Amar,
The fix for this patch is already present in master branch as a part of the commit 052849983e51a061d7fb2c3ffd74fa78bb257084 (https://review.gluster.org/#/c/glusterfs/+/20933/), which is not there in the release branches. Shall I move this BZ to modified, and send the relevant changes to fix the locks.c CVE alone to the supported release branch(es)?

Comment 2 Ravishankar N 2018-11-02 03:40:48 UTC
Got an ack from Amar via email. Moving it to MODIFIED. Will be sending the fix for locks vulnerability alone on release branches.


Note You need to log in before you can comment on or make changes to this bug.